#include "regx51.h"		  	/* khai bao thu vien AT89c51 */
#include "intrins.h" 
bit x;  bit y; 				/* Bien trung gian */
sbit input01 = P2^0; 			/* khai bao Pin */
sbit input02 = P2^4;
sbit led01 = P1^0;  
sbit led02 = P1^7;
void DelayMS(unsigned char ms);	/* khai bao chuong trinh con*/

void main (void)		    /* Chuong trinh chinh */
	{
	while (1)
		{
		P2 = 0xFF;	    	/* Port 2 nhap */
		x = input01;        /* nhap gia tri Port 2 vao bien giatri */
		y = input02;
		led01 = x; 	    /* xuat gia tri vao Port 1 */
		led02 = y;
		DelayMS(1000);
		}
	}

 void DelayMS(unsigned char ms) 
	{ 
	unsigned long us = 1000*ms; 
	while (us--) 
		{ 
		_nop_(); 
		} 
	} 
